import request from '@/utils/request'

// 查询mqtt信息列表列表
export function listMqtt(query) {
  return request({
    url: '/device/mqtt/list',
    method: 'get',
    params: query
  })
}

// 查询mqtt信息列表详细
export function getMqtt(id) {
  return request({
    url: '/device/mqtt/' + id,
    method: 'get'
  })
}

// 新增mqtt信息列表
export function addMqtt(data) {
  return request({
    url: '/device/mqtt',
    method: 'post',
    data: data
  })
}

// 修改mqtt信息列表
export function updateMqtt(data) {
  return request({
    url: '/device/mqtt',
    method: 'put',
    data: data
  })
}

// 删除mqtt信息列表
export function delMqtt(id) {
  return request({
    url: '/device/mqtt/' + id,
    method: 'delete'
  })
}
